Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath
Interface XPathProcessor

All Known Implementing Classes:
  XPathProcessorImpl

public interface XPathProcessor

An object that implements the XPathProcessor interface responsibilities include initializing the XPath expression from an XPath string. This should really be named XPathParser, and may be renamed in the future.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `initMatchPattern(XPath pathObj, java.lang.String expression, PrefixResolver namespaceContext)` Given an string, init an XPath object for pattern matches, in order that a parse doesn't have to be done each time the expression is evaluated.
`void` | `initXPath(XPath pathObj, java.lang.String expression, PrefixResolver namespaceContext)` Given an string, init an XPath object for selections, in order that a parse doesn't have to be done each time the expression is evaluated.

Method Detail

### initXPath

    public void initXPath(XPath pathObj,
                          java.lang.String expression,
                          PrefixResolver namespaceContext)
                   throws org.xml.sax.SAXException

  Given an string, init an XPath object for selections, in order that a parse doesn't have to be done each time the expression is evaluated.

  Parameters:
    `pathObj` - The XPath object to be initialized.
    `expresson` - A String representing the XPath.
    `namespaceContext` - An object that is able to resolve prefixes in the XPath to namespaces.

### initMatchPattern

    public void initMatchPattern(XPath pathObj,
                                 java.lang.String expression,
                                 PrefixResolver namespaceContext)
                          throws org.xml.sax.SAXException

  Given an string, init an XPath object for pattern matches, in order that a parse doesn't have to be done each time the expression is evaluated.

  Parameters:
    `pathObj` - The XPath object to be initialized.
    `expresson` - A String representing the XPath.
    `namespaceContext` - An object that is able to resolve prefixes in the XPath to namespaces.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD